/*
 * This file is part of OpenCorr, an open source C++ library for
 * study and development of 2D, 3D/stereo and volumetric
 * digital image correlation.
 *
 * Copyright (C) 2021-2025, Zhenyu Jiang <zhenyujiang@scut.edu.cn>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one from http://mozilla.org/MPL/2.0/.
 *
 * More information about OpenCorr can be found at https://www.opencorr.org/
 */

#pragma once

#ifndef _OPENCORR_
#define _OPENCORR_

#include "oc_array.h"
#include "oc_calibration.h"
#include "oc_cubic_bspline.h"
#include "oc_deformation.h"
#include "oc_dic.h"
#include "oc_epipolar_search.h"
#include "oc_feature.h"
#include "oc_feature_affine.h"
#include "oc_fftcc.h"
#include "oc_gradient.h"
#include "oc_icgn.h"
#include "oc_iclm.h"
#include "oc_image.h"
#include "oc_interpolation.h"
#include "oc_io.h"
#include "oc_nearest_neighbor.h"
#include "oc_nr.h"
#include "oc_poi.h"
#include "oc_point.h"
#include "oc_sift.h"
#include "oc_stereovision.h"
#include "oc_strain.h"
#include "oc_subset.h"

#endif //_OPENCORR_
